.\"	@(#) $Header: nslint.man,v 1.3 94/10/02 13:21:12 leres Exp $ (LBL)
.TH nslint 8 "Oct 2, 1994"
.UC 4
.SH NAME
nslint - perform consistency checks on dns files
.SH SYNOPSIS
.B nslint
[
.B -d
] [
.B -b
.I named.boot
] [
.B -B
.I nslint.boot
]
.SH DESCRIPTION
.B Nslint
reads the nameserver configuration files and performs a number of
consistency checks on the dns records. If any problems are discovered,
error messages are displayed on \fIstderr\fP and
.B nslint
exits with a non-zero status.
.LP
Here is a short list of common errors
.B nslint
detects:
..RS
.IP
Records that are malformed.
.IP
Names that contain dots but are missing a trailing dot.
.IP
.B PTR
records with names that are missing a trailing dot.
.IP
Names that begin with a non-alpha or contain illegal
characters.
.IP
.B A
records
without matching
.B PTR
records
.IP
.B PTR
records
without matching
.B A
records
.IP
Addresses in use by more than one name.
.IP
Names with
.B CNAME
and other
records.
.IP
Unknown service and/or protocol keywords in
.B WKS
records.
..RE
.LP
.SH OPTIONS
.TP
.B -b
Specify an alternate \fInamed.boot\fP file. The default is
\fI/etc/named.boot\fP.
.TP
.B -B
Specify an alternate \fInslint.boot\fP file. The default is
\fInslint.boot\fP in the last
.B directory
line processed in \fInamed.boot\fP (or the current working directory).
This file is processed like a second \fInamed.boot\fP.
The most common use is to tell
.B nslint
about
.B A
records that match
.B PTR
records that point outside the domains listed in \fInamed.boot\fP.
.TP
.B -d
Raise the debugging level. Debugging information is
displayed on \fIstdout\fP.
.LP
.SH FILES
.na
.nh
.nf
/etc/named.boot - default named configuration file
nslint.boot - default nslint configuration file
.ad
.hy
.fi
.LP
.SH "SEE ALSO"
.na
.nh
named(8)
.ad
.hy
.SH BUGS
Mixed case is not supported very well.
.LP
Not everyone is guaranteed to agree with all the checks done.
